scheduler_new_node_is_scheduled_for_publishing_event:
  label: 'After saving new content that is scheduled for publishing'
  category: 'Scheduler'
  context_definitions:
    node:
      type: 'entity:node'
      label: 'Scheduled Content Node'
      description: 'The node object representing the scheduled content'
# These parameters were in the 7.x version. May not be needed, but left here
# for reference until decision is made.
# @TODO Add the parameters or remove these commented lines. Sep 2016
#    publish_on:
#      type: 'integer'
#      label: 'Scheduler Publish On date'
#      description: 'Date and time that the node will be published by Scheduler'
#    unpublish_on:
#      type: 'integer'
#      label: 'Scheduler Unpublish On date'
#      description: 'Date and time that the node will be unpublished by Scheduler'

scheduler_existing_node_is_scheduled_for_publishing_event:
  label: 'After updating existing content that is scheduled for publishing'
  category: 'Scheduler'
  context_definitions:
    node:
      type: 'entity:node'
      label: 'Scheduled Content Node'
      description: 'The node object representing the scheduled content'

scheduler_new_node_is_scheduled_for_unpublishing_event:
  label: 'After saving new content that is scheduled for unpublishing'
  category: 'Scheduler'
  context_definitions:
    node:
      type: 'entity:node'
      label: 'Scheduled Content Node'
      description: 'The node object representing the scheduled content'

scheduler_existing_node_is_scheduled_for_unpublishing_event:
  label: 'After updating existing content that is scheduled for unpublishing'
  category: 'Scheduler'
  context_definitions:
    node:
      type: 'entity:node'
      label: 'Scheduled Content Node'
      description: 'The node object representing the scheduled content'

scheduler_has_published_this_node_event:
  label: 'After a node has been published by Scheduler'
  category: 'Scheduler'
  context_definitions:
    node:
      type: 'entity:node'
      label: 'Scheduled Content Node'
      description: 'The node object representing the scheduled content'

scheduler_has_unpublished_this_node_event:
  label: 'After a node has been unpublished by Scheduler'
  category: 'Scheduler'
  context_definitions:
    node:
      type: 'entity:node'
      label: 'Scheduled Content Node'
      description: 'The node object representing the scheduled content'
